Module java.compiler
Package javax.lang.model.element

# Interface Parameterizable

All Superinterfaces:
  `AnnotatedConstruct`, `Element`

All Known Subinterfaces:
  `ExecutableElement`, `TypeElement`

    public interface Parameterizable
    extends Element

A mixin interface for an element that has type parameters.

Since:
  1.7

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`List<? extends TypeParameterElement>` | `getTypeParameters()` | Returns the formal type parameters of an element in declaration order.

### Methods declared in interface javax.lang.model.AnnotatedConstruct

`getAnnotationsByType`

### Methods declared in interface javax.lang.model.element.Element

`accept, asType, equals, getAnnotation, getAnnotationMirrors, getEnclosedElements, getEnclosingElement, getKind, getModifiers, getSimpleName, hashCode`

## Method Details

### getTypeParameters

List<? extends TypeParameterElement> getTypeParameters()
Returns the formal type parameters of an element in declaration order.

Returns:
  the formal type parameters, or an empty list if there are none